********************************************************************************
*************** Redes analíticas. Grafos de coincidencias y regresión **********
********************************************************************************
****************************** Madrid. CIS. 2023 *******************************
********************************************************************************
****************************** Capítulo 5 - Ejercicio 5.3 **********************

**** Pasos previos ****

version 17
** net install coin, from(http://casus.usal.es/stata)
use "~/data/TST.dta"

**** a) Regresión lineal sobre la variable dependiente Atribución

regress Atribución i.país i.hábitat i.género edad i.trabajo estudios Sentencias

**** b) Regresión sobre objetividad,anclaje y número de sentencias (Sentencias).

reg Objetividad i.país i.hábitat i.género edad i.trabajo estudios Sentencias
reg Anclaje i.país i.hábitat i.género edad i.trabajo estudios Sentencias
reg Sentencias i.país i.hábitat i.género edad i.trabajo estudios

**** c) Combinación de las tablas de regresión

* ssc install estout
** Repetición de las regresiones para su almacenaje
regress Atribución i.país i.hábitat i.género edad i.trabajo estudios Sentencias
estimates store At
reg Objetividad i.país i.hábitat i.género edad i.trabajo estudios Sentencias
estimates store Ob
reg Anclaje i.país i.hábitat i.género edad i.trabajo estudios Sentencias
estimates store An
reg Sentencias i.país i.hábitat i.género edad i.trabajo estudios
estimates store Se

** Tabla múltiple
estout At Ob An Se, cells(b(star fmt(3))) label stats(r2 df_r bic)
