# ********************************************************************************
# *************** Redes analíticas. Grafos de coincidencias y regresión **********
# ********************************************************************************
# ****************************** Madrid. CIS. 2023 *******************************
# ********************************************************************************
# ****************************** Capítulo 6 - Ejercicio 6.2 **********************

# Gráficos de coincidencias ----

## Preparativos ---
library(netCoin)
load(../Codigo/data/ESE.RData)

## a) Gráfico de coincidencias ----
surCoin(ese, weight = "Peso", valueDicho="Sí", dichotomies=c("Participación social", "Participación política"), color="variable") |> plot(dir="~/temp")

## b) Modelo log-lineal sin interacciones. ----
logCoin(ese, weight="Peso", order=3, noFirstCat = c("Participación Social", "Participación política")) |> plot(dir="d:/temp")

## c) Modelo log-lineal son interacciones de orden 3. ----
logCoin(ese, weight="Peso", order=3, noFirstCat = c("Participación Social", "Participación política")) |> plot(dir="d:/temp")

## d) Modelo log-lineal son interacciones de orden 4. ----
logCoin(ese, weight="Peso", order=4, noFirstCat = c("Participación Social", "Participación política")) |> plot(dir="d:/temp")

