* Encoding: UTF-8.

* ********************************************************************************/
* ************* Redes analíticas. Grafos de coincidencias y regresión ************/
* ********************************************************************************/
* ******************************* Madrid. CIS. 2023 ******************************/
* ********************************************************************************/
* ****************************** Capítulo 7 - Ejercicio 7.2 **********************/.

** Preparación de los datos.
CD "~/Codigos/Codigo-7".

output close all.
MATRIX DATA VARIABLES=ROWTYPE_ Matemáticas Física Literatura Inglés.
BEGIN DATA
N 100 100 100 100
CORR           1
CORR           0,90           1
CORR           0,70           0,55           1
CORR           0,65           0,50           0,85           1
END DATA.

factor /matrix=in(cor=*)
  /MISSING LISTWISE 
  /ANALYSIS Matemáticas Física Literatura Inglés
  /PRINT INITIAL EXTRACTION ROTATION
  /CRITERIA MINEIGEN(0.01) ITERATE(25)
  /EXTRACTION PC
  /ROTATION VARIMAX
  /PLOT ROTATION (1 2)
  /METHOD=CORRELATION.


