# ********************************************************************************
# *************** Redes analíticas. Grafos de coincidencias y regresión **********
# ********************************************************************************
# ****************************** Madrid. CIS. 2023 *******************************
# ********************************************************************************
# ****************************** Capítulo 1 - Ejercicio 1.1 **********************


# 1. Introducción a R ----

## a) Usando la ayuda en R
?sum
help(sum)

## c)	Establece el directorio de trabajo
setwd("~/Codigo-1") ## Cambiar por la ruta adecuada

## d) Descarga e instala el paquete "netCoin"
install.packages("netCoin")
library(netCoin)

## e) Crea un archivo CSV de ejemplo llamado “datos.csv”
### Crear un data frame de ejemplo
ejemplo_datos <- data.frame(
  ID = 1:10,
  Nombre = c("Ana", "Pedro", "Laura", "Javier", "Sofía", "Daniel", "Marta", "Luis", "María", "Carlos"),
  Edad = c(34, 28, 25, 40, 37, 29, 33, 31, 26, 38),
  stringsAsFactors = FALSE)
### Guardar el data frame en un archivo CSV
write.csv(ejemplo_datos, "datos.csv", row.names = FALSE)

## f) Importa  “datos.csv” y exporta un subconjunto de “datos”
datos <- read.csv("datos.csv")
datos_reducidos <- datos[1:3, ]
write.csv(datos_reducidos, "datos_reducidos.csv")
