# ********************************************************************************
# *************** Redes analíticas. Grafos de coincidencias y regresión **********
# ********************************************************************************
# ****************************** Madrid. CIS. 2023 *******************************
# ********************************************************************************
# **************************** Capítulo 1 - Ejercicio 1.2 ************************
# ********************************************************************************

**** Pasos previos***
cd "~/C.1/Codigo-1/" //Cambiar por el directorio adecuado en cada caso

*** a) Importa  el conjunto de datos y guardalo en un nuevo archivo llamado "datos_modificados.dta".
import delimited "datos.csv"
save "datos_modificados.dta"

summarize // estadísticos de las variables
describe // características de las variables
edit // ver y editar la base de datos

*** b) Renombra una variable llamada "Edad" a "edad" y modifica la variable "edad" sumándole 1 a todos sus valores.
rename Edad edad
replace edad = edad + 1

*** c) Genera una nueva variable "edad_cuadrado" que sea el cuadrado de la variable "edad".
generate edad_cuadrado = edad^2

*** d) Crea una nueva variable llamada "grupo_edad".
recode edad (0/25=1 "0-25") (26/35=2 "26-35") (36/max=3 "36+"), gen(grupo_edad)

*** e) Instala tabchi y coin
ssc install tab_chi
net install coin, from("http://casus.usal.es/stata")


