********************************************************************************
*************** Redes analíticas. Grafos de coincidencias y regresión **********
********************************************************************************
****************************** Madrid. CIS. 2023 *******************************
********************************************************************************
****************************** Capítulo 4 - Ejercicio 4.2 **********************

**** Pasos previos ****

version 17
** net install coin, from(http://casus.usal.es/stata)
use ".\data\Unamunox.dta" 

**** a) Haz un gráfico de incidencias de los miembros de la familia nuclear.
coin Unamuno-Ramon, bar

**** b) Haz gráficos de coincidencias de los tres primeros miembros de la familia.
coin Unamuno-Fernando, cbar(_all)

**** c) Haz gráficos de residuos de los tres primeros miembros de la familia.
coin Unamuno-Fernando, rgraph(_all)

*** d) Haz gráficos de cocientes de razones de los tres primeros miembros de la familia.
coin Unamuno-Fernando, ograph(_all)

*** e) Haz un gráfico de red
coin Unamuno-Ramon, graph(circle) levels(.50 .05)


*** f) Ahora este mismo gráfico con alguna opción más puede sacar las imágenes de los nodos y colores siempre y cuando contemos con un fichero auxiliar (unamunod.dta) con las características de las persona (nombre de los ficheros de las imágenes incluído, aquí en la variable Imagen).

netcoin Unamuno-Ramon using "./data/unamunoD.dta", color(sexo) language(es) image(imagen) zoom(2) dir(temp)

